<html>
<head>
<title>OGRE: Ogre::PatchSurface Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1PatchSurface.html">PatchSurface</a></div>
<h1>Ogre::PatchSurface Class Reference</h1><!-- doxytag: class="Ogre::PatchSurface" -->A surface which is defined by curves of some kind to form a patch, e.g.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1PatchSurface-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#bedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a> { <a class="el" href="classOgre_1_1PatchSurface.html#bedf8abe8fa9fb9b1b7cff118cd2e2783018de74c08da01f0eeea0f1445f1c8e">PST_BEZIER</a>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom">{ <a class="el" href="classOgre_1_1PatchSurface.html#7ee650d77c69b42c43fb7553118c2503575b3489dac0ce9bffbad3d630b76830">AUTO_LEVEL</a> =  -1
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constant for indicating automatic determination of subdivision level for patches.  <a href="classOgre_1_1PatchSurface.html#7ee650d77c69b42c43fb7553118c2503">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a> { <a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eeebe7d46958e7b6cf27e83c3e5600dafb2">VS_FRONT</a>, 
<a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee644ea2565457231655d0dea56da799ec">VS_BACK</a>, 
<a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eeea4aa50d12e90df02c8d549e85d365eaa">VS_BOTH</a>
 }</td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#d5d1bb1850a1b30a1bc786b20a135ea6">PatchSurface</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#374e4bdaaa553a7d3317da1fb36eca87">~PatchSurface</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#be4bf8a170882c83e44a90a2850ace92">defineSurface</a> (void *controlPointBuffer, <a class="el" href="classOgre_1_1VertexDeclaration.html">VertexDeclaration</a> *declaration, size_t width, size_t height, <a class="el" href="classOgre_1_1PatchSurface.html#bedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a> pType=PST_BEZIER, size_t uMaxSubdivisionLevel=AUTO_LEVEL, size_t vMaxSubdivisionLevel=AUTO_LEVEL, <a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a> visibleSide=VS_FRONT)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets up the surface by defining it's control points, type and initial subdivision level.  <a href="#be4bf8a170882c83e44a90a2850ace92"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#f2019f15e76e24b8ff3a55d80c934995">getRequiredVertexCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Based on a previous call to defineSurface, establishes the number of vertices required to hold this patch at the maximum detail level.  <a href="#f2019f15e76e24b8ff3a55d80c934995"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#01008aa0fe032f9c7e186bf0c484b05f">getRequiredIndexCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Based on a previous call to defineSurface, establishes the number of indexes required to hold this patch at the maximum detail level.  <a href="#01008aa0fe032f9c7e186bf0c484b05f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#c7a508c760e11ebd6372862a6195fb24">getCurrentIndexCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the current index count based on the current subdivision level.  <a href="#c7a508c760e11ebd6372862a6195fb24"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#b83c4281f95bb02b8cbb4b41f97b9e2e">getIndexOffset</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the index offset used by this buffer to write data into the buffer.  <a href="#b83c4281f95bb02b8cbb4b41f97b9e2e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#c545ac395017801a17d0e421d0e50101">getVertexOffset</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the vertex offset used by this buffer to write data into the buffer.  <a href="#c545ac395017801a17d0e421d0e50101"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#086edd7093fc76344163e6854529e91c">getBounds</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the bounds of this patch, only valid after calling defineSurface.  <a href="#086edd7093fc76344163e6854529e91c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#5c07a906a6491a9e6d82eab411ff75b1">getBoundingSphereRadius</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the radius of the bounding sphere for this patch, only valid after defineSurface has been called.  <a href="#5c07a906a6491a9e6d82eab411ff75b1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#720b670d73970bb3970dc6d4e190ba2e">build</a> (<a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> destVertexBuffer, size_t vertexStart, <a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> destIndexBuffer, size_t indexStart)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells the system to build the mesh relating to the surface into externally created buffers.  <a href="#720b670d73970bb3970dc6d4e190ba2e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#3322b21075ac2e34395e35da3e9025bd">setSubdivisionFactor</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> factor)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Alters the level of subdivision for this surface.  <a href="#3322b21075ac2e34395e35da3e9025bd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#e42e723e8025e519608efceac1200640">getSubdivisionFactor</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the current level of subdivision.  <a href="#e42e723e8025e519608efceac1200640"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#d3a4316d8594bbc7173a26703bdab2b1">getControlPointBuffer</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#41fb9a71633f5658bac6c83403f46a43">notifyControlPointBufferDeallocated</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convenience method for telling the patch that the control points have been deleted, since once the patch has been built they are not required.  <a href="#41fb9a71633f5658bac6c83403f46a43"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ad80e2f264b3e20629deebb47ae71958">findLevel</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;a, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;b, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;c)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for finding the subdivision level given 3 control points.  <a href="#ad80e2f264b3e20629deebb47ae71958"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#7cd7c409a9bb692b378713a5946ddc5a">distributeControlPoints</a> (void *lockedBuffer)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#e8a75db9b7723a1fac7f06bd23df654f">subdivideCurve</a> (void *lockedBuffer, size_t startIdx, size_t stepSize, size_t numSteps, size_t iterations)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#7975569434015d84643b5af41cea92eb">interpolateVertexData</a> (void *lockedBuffer, size_t leftIndex, size_t rightIndex, size_t destIndex)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#abf219fe8c94bbd9fca97a2b9d7b2ce5">makeTriangles</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#0ee794700ee2c26e346faca7db7175ff">getAutoULevel</a> (bool forMax=false)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#ee500e63eb5c23fa22e06d9dc54b0e9c">getAutoVLevel</a> (bool forMax=false)</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VertexDeclaration.html">VertexDeclaration</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#437c71a16caed7a552d5de325323f7a3">mDeclaration</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Vertex declaration describing the control point buffer.  <a href="#437c71a16caed7a552d5de325323f7a3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#bc9fc2a6c93d26afce8e12f20a5ae36a">mControlPointBuffer</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Buffer containing the system-memory control points.  <a href="#bc9fc2a6c93d26afce8e12f20a5ae36a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1PatchSurface.html#bedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#8eb452f175ed459c32224a24c4111091">mType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of surface.  <a href="#8eb452f175ed459c32224a24c4111091"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#223697279c497602e1338134782c9691">mCtlWidth</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Width in control points.  <a href="#223697279c497602e1338134782c9691"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#c6ccdf6c36e9e75bdd71455292bfb210">mCtlHeight</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Height in control points.  <a href="#c6ccdf6c36e9e75bdd71455292bfb210"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#495d1ea0cc206d5be6fd2b1376534903">mCtlCount</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">TotalNumber of control points.  <a href="#495d1ea0cc206d5be6fd2b1376534903"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#0292f4963f60a974876a8185de206d7f">mULevel</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">U-direction subdivision level.  <a href="#0292f4963f60a974876a8185de206d7f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#de1780fa07ac3eb2cd77a1e4e7effd48">mVLevel</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">V-direction subdivision level.  <a href="#de1780fa07ac3eb2cd77a1e4e7effd48"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#7263e6acf1fc55ecd2bb772c471a2924">mMaxULevel</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max subdivision level.  <a href="#7263e6acf1fc55ecd2bb772c471a2924"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#d253e0f7299f615d5f6603eb788a27db">mMaxVLevel</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#4077a4271389af7bc4ec9e807bf91cde">mMeshWidth</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Width of the subdivided mesh (big enough for max level).  <a href="#4077a4271389af7bc4ec9e807bf91cde"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#5b31d465366d1856ab5f7a811cd3907f">mMeshHeight</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Height of the subdivided mesh (big enough for max level).  <a href="#5b31d465366d1856ab5f7a811cd3907f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#eb543caba5713a3468d87c147873a35c">mVSide</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Which side is visible.  <a href="#eb543caba5713a3468d87c147873a35c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#d7bed3b4c073e58963c4f518824dc213">mSubdivisionFactor</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#d9a91befebe2cbc4a4b845d8f28b9b89">mVecCtlPoints</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#b71020e960b8f454f02ac7008ff8f149">mVertexBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#dd834eb17f4476747c73d30c42c40ad8">mIndexBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#947c6821f4d14e3983e5f8e702ee1ba1">mVertexOffset</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#b20d64e316e68c29df2e0feacd8ce82c">mIndexOffset</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#540444f2d390279342b950e34651e5c8">mRequiredVertexCount</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#8f7f0bb8ee32d786e94a2d58c5d1cc47">mRequiredIndexCount</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#fa053936dd43a2856e64cd4c39e21d73">mCurrIndexCount</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#2da824a653e19ad4b6196725e462c192">mAABB</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PatchSurface.html#f487823bcd4b0fc386b426599c7b19cf">mBoundingSphere</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A surface which is defined by curves of some kind to form a patch, e.g. 
<p>
a Bezier patch. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This object will take a list of control points with various assorted data, and will subdivide it into a patch mesh. Currently only Bezier curves are supported for defining the surface, but other techniques such as NURBS would follow the same basic approach. </dd></dl>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00047">47</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="bedf8abe8fa9fb9b1b7cff118cd2e278"></a><!-- doxytag: member="Ogre::PatchSurface::PatchSurfaceType" ref="bedf8abe8fa9fb9b1b7cff118cd2e278" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1PatchSurface.html#bedf8abe8fa9fb9b1b7cff118cd2e278">Ogre::PatchSurface::PatchSurfaceType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="bedf8abe8fa9fb9b1b7cff118cd2e2783018de74c08da01f0eeea0f1445f1c8e"></a><!-- doxytag: member="PST_BEZIER" ref="bedf8abe8fa9fb9b1b7cff118cd2e2783018de74c08da01f0eeea0f1445f1c8e" args="" -->PST_BEZIER</em>&nbsp;</td><td>
A patch defined by a set of bezier curves. </td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00053">53</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7ee650d77c69b42c43fb7553118c2503"></a><!-- doxytag: member="Ogre::PatchSurface::@7" ref="7ee650d77c69b42c43fb7553118c2503" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constant for indicating automatic determination of subdivision level for patches. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="7ee650d77c69b42c43fb7553118c2503575b3489dac0ce9bffbad3d630b76830"></a><!-- doxytag: member="AUTO_LEVEL" ref="7ee650d77c69b42c43fb7553118c2503575b3489dac0ce9bffbad3d630b76830" args="" -->AUTO_LEVEL</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00060">60</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3786509c9aac2a5ea44848e3f49c5eee"></a><!-- doxytag: member="Ogre::PatchSurface::VisibleSide" ref="3786509c9aac2a5ea44848e3f49c5eee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee">Ogre::PatchSurface::VisibleSide</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="3786509c9aac2a5ea44848e3f49c5eeebe7d46958e7b6cf27e83c3e5600dafb2"></a><!-- doxytag: member="VS_FRONT" ref="3786509c9aac2a5ea44848e3f49c5eeebe7d46958e7b6cf27e83c3e5600dafb2" args="" -->VS_FRONT</em>&nbsp;</td><td>
The side from which u goes right and v goes up (as in texture coords). </td></tr>
<tr><td valign="top"><em><a class="anchor" name="3786509c9aac2a5ea44848e3f49c5eee644ea2565457231655d0dea56da799ec"></a><!-- doxytag: member="VS_BACK" ref="3786509c9aac2a5ea44848e3f49c5eee644ea2565457231655d0dea56da799ec" args="" -->VS_BACK</em>&nbsp;</td><td>
The side from which u goes right and v goes down (reverse of texture coords). </td></tr>
<tr><td valign="top"><em><a class="anchor" name="3786509c9aac2a5ea44848e3f49c5eeea4aa50d12e90df02c8d549e85d365eaa"></a><!-- doxytag: member="VS_BOTH" ref="3786509c9aac2a5ea44848e3f49c5eeea4aa50d12e90df02c8d549e85d365eaa" args="" -->VS_BOTH</em>&nbsp;</td><td>
Both sides are visible - warning this creates 2x the number of triangles and adds extra overhead for calculating normals. </td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00065">65</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="d5d1bb1850a1b30a1bc786b20a135ea6"></a><!-- doxytag: member="Ogre::PatchSurface::PatchSurface" ref="d5d1bb1850a1b30a1bc786b20a135ea6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::PatchSurface::PatchSurface           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="374e4bdaaa553a7d3317da1fb36eca87"></a><!-- doxytag: member="Ogre::PatchSurface::~PatchSurface" ref="374e4bdaaa553a7d3317da1fb36eca87" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::PatchSurface::~PatchSurface           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="be4bf8a170882c83e44a90a2850ace92"></a><!-- doxytag: member="Ogre::PatchSurface::defineSurface" ref="be4bf8a170882c83e44a90a2850ace92" args="(void *controlPointBuffer, VertexDeclaration *declaration, size_t width, size_t height, PatchSurfaceType pType=PST_BEZIER, size_t uMaxSubdivisionLevel=AUTO_LEVEL, size_t vMaxSubdivisionLevel=AUTO_LEVEL, VisibleSide visibleSide=VS_FRONT)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::PatchSurface::defineSurface           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>controlPointBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1VertexDeclaration.html">VertexDeclaration</a> *&nbsp;</td>
          <td class="paramname"> <em>declaration</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PatchSurface.html#bedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a>&nbsp;</td>
          <td class="paramname"> <em>pType</em> = <code>PST_BEZIER</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>uMaxSubdivisionLevel</em> = <code>AUTO_LEVEL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>vMaxSubdivisionLevel</em> = <code>AUTO_LEVEL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a>&nbsp;</td>
          <td class="paramname"> <em>visibleSide</em> = <code>VS_FRONT</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets up the surface by defining it's control points, type and initial subdivision level. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method initialises the surface by passing it a set of control points. The type of curves to be used are also defined here, although the only supported option currently is a bezier patch. You can also specify a global subdivision level here if you like, although it is recommended that the parameter is left as AUTO_LEVEL, which means the system decides how much subdivision is required (based on the curvature of the surface) </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>controlPointBuffer</em>&nbsp;</td><td>A pointer to a buffer containing the vertex data which defines control points of the curves rather than actual vertices. Note that you are expected to provide not just position information, but potentially normals and texture coordinates too. The format of the buffer is defined in the <a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to...">VertexDeclaration</a> parameter </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>decaration</em>&nbsp;</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to...">VertexDeclaration</a> describing the contents of the buffer. Note this declaration must _only_ draw on buffer source 0! </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>width</em>&nbsp;</td><td>Specifies the width of the patch in control points. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>height</em>&nbsp;</td><td>Specifies the height of the patch in control points. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pType</em>&nbsp;</td><td>The type of surface - currently only PST_BEZIER is supported </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>uMaxSubdivisionLevel,vMaxSubdivisionLevel</em>&nbsp;</td><td>If you want to manually set the top level of subdivision, do it here, otherwise let the system decide. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>visibleSide</em>&nbsp;</td><td>Determines which side of the patch (or both) triangles are generated for. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="f2019f15e76e24b8ff3a55d80c934995"></a><!-- doxytag: member="Ogre::PatchSurface::getRequiredVertexCount" ref="f2019f15e76e24b8ff3a55d80c934995" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::PatchSurface::getRequiredVertexCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Based on a previous call to defineSurface, establishes the number of vertices required to hold this patch at the maximum detail level. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is useful when you wish to build the patch into external vertex / index buffers. </dd></dl>

</div>
</div><p>
<a class="anchor" name="01008aa0fe032f9c7e186bf0c484b05f"></a><!-- doxytag: member="Ogre::PatchSurface::getRequiredIndexCount" ref="01008aa0fe032f9c7e186bf0c484b05f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::PatchSurface::getRequiredIndexCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Based on a previous call to defineSurface, establishes the number of indexes required to hold this patch at the maximum detail level. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is useful when you wish to build the patch into external vertex / index buffers. </dd></dl>

</div>
</div><p>
<a class="anchor" name="c7a508c760e11ebd6372862a6195fb24"></a><!-- doxytag: member="Ogre::PatchSurface::getCurrentIndexCount" ref="c7a508c760e11ebd6372862a6195fb24" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::PatchSurface::getCurrentIndexCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the current index count based on the current subdivision level. 
<p>

</div>
</div><p>
<a class="anchor" name="b83c4281f95bb02b8cbb4b41f97b9e2e"></a><!-- doxytag: member="Ogre::PatchSurface::getIndexOffset" ref="b83c4281f95bb02b8cbb4b41f97b9e2e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::PatchSurface::getIndexOffset           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the index offset used by this buffer to write data into the buffer. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00122">122</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c545ac395017801a17d0e421d0e50101"></a><!-- doxytag: member="Ogre::PatchSurface::getVertexOffset" ref="c545ac395017801a17d0e421d0e50101" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::PatchSurface::getVertexOffset           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the vertex offset used by this buffer to write data into the buffer. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00124">124</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="086edd7093fc76344163e6854529e91c"></a><!-- doxytag: member="Ogre::PatchSurface::getBounds" ref="086edd7093fc76344163e6854529e91c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&amp; Ogre::PatchSurface::getBounds           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the bounds of this patch, only valid after calling defineSurface. 
<p>

</div>
</div><p>
<a class="anchor" name="5c07a906a6491a9e6d82eab411ff75b1"></a><!-- doxytag: member="Ogre::PatchSurface::getBoundingSphereRadius" ref="5c07a906a6491a9e6d82eab411ff75b1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::PatchSurface::getBoundingSphereRadius           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the radius of the bounding sphere for this patch, only valid after defineSurface has been called. 
<p>

</div>
</div><p>
<a class="anchor" name="720b670d73970bb3970dc6d4e190ba2e"></a><!-- doxytag: member="Ogre::PatchSurface::build" ref="720b670d73970bb3970dc6d4e190ba2e" args="(HardwareVertexBufferSharedPtr destVertexBuffer, size_t vertexStart, HardwareIndexBufferSharedPtr destIndexBuffer, size_t indexStart)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::PatchSurface::build           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td>
          <td class="paramname"> <em>destVertexBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>vertexStart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a>&nbsp;</td>
          <td class="paramname"> <em>destIndexBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>indexStart</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells the system to build the mesh relating to the surface into externally created buffers. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to...">VertexDeclaration</a> of the vertex buffer must be identical to the one passed into defineSurface. In addition, there must be enough space in the buffer to accommodate the patch at full detail level; you should call getRequiredVertexCount and getRequiredIndexCount to determine this. This method does not create an internal mesh for this patch and so getMesh will return null if you call it after building the patch this way. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>destVertexBuffer</em>&nbsp;</td><td>The destination vertex buffer in which to build the patch. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>vertexStart</em>&nbsp;</td><td>The offset at which to start writing vertices for this patch </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>destIndexBuffer</em>&nbsp;</td><td>The destination index buffer in which to build the patch. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>vertexStart</em>&nbsp;</td><td>The offset at which to start writing indexes for this patch </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="3322b21075ac2e34395e35da3e9025bd"></a><!-- doxytag: member="Ogre::PatchSurface::setSubdivisionFactor" ref="3322b21075ac2e34395e35da3e9025bd" args="(Real factor)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::PatchSurface::setSubdivisionFactor           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>factor</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Alters the level of subdivision for this surface. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method changes the proportionate detail level of the patch; since the U and V directions can have different subdivision levels, this method takes a single Real value where 0 is the minimum detail (the control points) and 1 is the maximum detail level as supplied to the original call to defineSurface. </dd></dl>

</div>
</div><p>
<a class="anchor" name="e42e723e8025e519608efceac1200640"></a><!-- doxytag: member="Ogre::PatchSurface::getSubdivisionFactor" ref="e42e723e8025e519608efceac1200640" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::PatchSurface::getSubdivisionFactor           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the current level of subdivision. 
<p>

</div>
</div><p>
<a class="anchor" name="d3a4316d8594bbc7173a26703bdab2b1"></a><!-- doxytag: member="Ogre::PatchSurface::getControlPointBuffer" ref="d3a4316d8594bbc7173a26703bdab2b1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* Ogre::PatchSurface::getControlPointBuffer           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00163">163</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="41fb9a71633f5658bac6c83403f46a43"></a><!-- doxytag: member="Ogre::PatchSurface::notifyControlPointBufferDeallocated" ref="41fb9a71633f5658bac6c83403f46a43" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::PatchSurface::notifyControlPointBufferDeallocated           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Convenience method for telling the patch that the control points have been deleted, since once the patch has been built they are not required. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00169">169</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ad80e2f264b3e20629deebb47ae71958"></a><!-- doxytag: member="Ogre::PatchSurface::findLevel" ref="ad80e2f264b3e20629deebb47ae71958" args="(Vector3 &amp;a, Vector3 &amp;b, Vector3 &amp;c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::PatchSurface::findLevel           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>c</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for finding the subdivision level given 3 control points. 
<p>

</div>
</div><p>
<a class="anchor" name="7cd7c409a9bb692b378713a5946ddc5a"></a><!-- doxytag: member="Ogre::PatchSurface::distributeControlPoints" ref="7cd7c409a9bb692b378713a5946ddc5a" args="(void *lockedBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::PatchSurface::distributeControlPoints           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>lockedBuffer</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e8a75db9b7723a1fac7f06bd23df654f"></a><!-- doxytag: member="Ogre::PatchSurface::subdivideCurve" ref="e8a75db9b7723a1fac7f06bd23df654f" args="(void *lockedBuffer, size_t startIdx, size_t stepSize, size_t numSteps, size_t iterations)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::PatchSurface::subdivideCurve           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>lockedBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>startIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>stepSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>numSteps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>iterations</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="7975569434015d84643b5af41cea92eb"></a><!-- doxytag: member="Ogre::PatchSurface::interpolateVertexData" ref="7975569434015d84643b5af41cea92eb" args="(void *lockedBuffer, size_t leftIndex, size_t rightIndex, size_t destIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::PatchSurface::interpolateVertexData           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>lockedBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>leftIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>rightIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>destIndex</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="abf219fe8c94bbd9fca97a2b9d7b2ce5"></a><!-- doxytag: member="Ogre::PatchSurface::makeTriangles" ref="abf219fe8c94bbd9fca97a2b9d7b2ce5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::PatchSurface::makeTriangles           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="0ee794700ee2c26e346faca7db7175ff"></a><!-- doxytag: member="Ogre::PatchSurface::getAutoULevel" ref="0ee794700ee2c26e346faca7db7175ff" args="(bool forMax=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::PatchSurface::getAutoULevel           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>forMax</em> = <code>false</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ee500e63eb5c23fa22e06d9dc54b0e9c"></a><!-- doxytag: member="Ogre::PatchSurface::getAutoVLevel" ref="ee500e63eb5c23fa22e06d9dc54b0e9c" args="(bool forMax=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::PatchSurface::getAutoVLevel           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>forMax</em> = <code>false</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="437c71a16caed7a552d5de325323f7a3"></a><!-- doxytag: member="Ogre::PatchSurface::mDeclaration" ref="437c71a16caed7a552d5de325323f7a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexDeclaration.html">VertexDeclaration</a>* <a class="el" href="classOgre_1_1PatchSurface.html#437c71a16caed7a552d5de325323f7a3">Ogre::PatchSurface::mDeclaration</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Vertex declaration describing the control point buffer. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00174">174</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bc9fc2a6c93d26afce8e12f20a5ae36a"></a><!-- doxytag: member="Ogre::PatchSurface::mControlPointBuffer" ref="bc9fc2a6c93d26afce8e12f20a5ae36a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1PatchSurface.html#bc9fc2a6c93d26afce8e12f20a5ae36a">Ogre::PatchSurface::mControlPointBuffer</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Buffer containing the system-memory control points. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00176">176</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8eb452f175ed459c32224a24c4111091"></a><!-- doxytag: member="Ogre::PatchSurface::mType" ref="8eb452f175ed459c32224a24c4111091" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PatchSurface.html#bedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a> <a class="el" href="classOgre_1_1PatchSurface.html#8eb452f175ed459c32224a24c4111091">Ogre::PatchSurface::mType</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Type of surface. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00178">178</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="223697279c497602e1338134782c9691"></a><!-- doxytag: member="Ogre::PatchSurface::mCtlWidth" ref="223697279c497602e1338134782c9691" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#223697279c497602e1338134782c9691">Ogre::PatchSurface::mCtlWidth</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Width in control points. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00180">180</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c6ccdf6c36e9e75bdd71455292bfb210"></a><!-- doxytag: member="Ogre::PatchSurface::mCtlHeight" ref="c6ccdf6c36e9e75bdd71455292bfb210" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#c6ccdf6c36e9e75bdd71455292bfb210">Ogre::PatchSurface::mCtlHeight</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Height in control points. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00182">182</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="495d1ea0cc206d5be6fd2b1376534903"></a><!-- doxytag: member="Ogre::PatchSurface::mCtlCount" ref="495d1ea0cc206d5be6fd2b1376534903" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#495d1ea0cc206d5be6fd2b1376534903">Ogre::PatchSurface::mCtlCount</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
TotalNumber of control points. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00184">184</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0292f4963f60a974876a8185de206d7f"></a><!-- doxytag: member="Ogre::PatchSurface::mULevel" ref="0292f4963f60a974876a8185de206d7f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#0292f4963f60a974876a8185de206d7f">Ogre::PatchSurface::mULevel</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
U-direction subdivision level. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00186">186</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="de1780fa07ac3eb2cd77a1e4e7effd48"></a><!-- doxytag: member="Ogre::PatchSurface::mVLevel" ref="de1780fa07ac3eb2cd77a1e4e7effd48" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#de1780fa07ac3eb2cd77a1e4e7effd48">Ogre::PatchSurface::mVLevel</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
V-direction subdivision level. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00188">188</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7263e6acf1fc55ecd2bb772c471a2924"></a><!-- doxytag: member="Ogre::PatchSurface::mMaxULevel" ref="7263e6acf1fc55ecd2bb772c471a2924" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#7263e6acf1fc55ecd2bb772c471a2924">Ogre::PatchSurface::mMaxULevel</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Max subdivision level. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00190">190</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d253e0f7299f615d5f6603eb788a27db"></a><!-- doxytag: member="Ogre::PatchSurface::mMaxVLevel" ref="d253e0f7299f615d5f6603eb788a27db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#d253e0f7299f615d5f6603eb788a27db">Ogre::PatchSurface::mMaxVLevel</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00191">191</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4077a4271389af7bc4ec9e807bf91cde"></a><!-- doxytag: member="Ogre::PatchSurface::mMeshWidth" ref="4077a4271389af7bc4ec9e807bf91cde" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#4077a4271389af7bc4ec9e807bf91cde">Ogre::PatchSurface::mMeshWidth</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Width of the subdivided mesh (big enough for max level). 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00193">193</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5b31d465366d1856ab5f7a811cd3907f"></a><!-- doxytag: member="Ogre::PatchSurface::mMeshHeight" ref="5b31d465366d1856ab5f7a811cd3907f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#5b31d465366d1856ab5f7a811cd3907f">Ogre::PatchSurface::mMeshHeight</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Height of the subdivided mesh (big enough for max level). 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00195">195</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="eb543caba5713a3468d87c147873a35c"></a><!-- doxytag: member="Ogre::PatchSurface::mVSide" ref="eb543caba5713a3468d87c147873a35c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a> <a class="el" href="classOgre_1_1PatchSurface.html#eb543caba5713a3468d87c147873a35c">Ogre::PatchSurface::mVSide</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Which side is visible. 
<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00197">197</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d7bed3b4c073e58963c4f518824dc213"></a><!-- doxytag: member="Ogre::PatchSurface::mSubdivisionFactor" ref="d7bed3b4c073e58963c4f518824dc213" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1PatchSurface.html#d7bed3b4c073e58963c4f518824dc213">Ogre::PatchSurface::mSubdivisionFactor</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00199">199</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d9a91befebe2cbc4a4b845d8f28b9b89"></a><!-- doxytag: member="Ogre::PatchSurface::mVecCtlPoints" ref="d9a91befebe2cbc4a4b845d8f28b9b89" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt; <a class="el" href="classOgre_1_1PatchSurface.html#d9a91befebe2cbc4a4b845d8f28b9b89">Ogre::PatchSurface::mVecCtlPoints</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00201">201</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b71020e960b8f454f02ac7008ff8f149"></a><!-- doxytag: member="Ogre::PatchSurface::mVertexBuffer" ref="b71020e960b8f454f02ac7008ff8f149" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1PatchSurface.html#b71020e960b8f454f02ac7008ff8f149">Ogre::PatchSurface::mVertexBuffer</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00215">215</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dd834eb17f4476747c73d30c42c40ad8"></a><!-- doxytag: member="Ogre::PatchSurface::mIndexBuffer" ref="dd834eb17f4476747c73d30c42c40ad8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> <a class="el" href="classOgre_1_1PatchSurface.html#dd834eb17f4476747c73d30c42c40ad8">Ogre::PatchSurface::mIndexBuffer</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00216">216</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="947c6821f4d14e3983e5f8e702ee1ba1"></a><!-- doxytag: member="Ogre::PatchSurface::mVertexOffset" ref="947c6821f4d14e3983e5f8e702ee1ba1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#947c6821f4d14e3983e5f8e702ee1ba1">Ogre::PatchSurface::mVertexOffset</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00217">217</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b20d64e316e68c29df2e0feacd8ce82c"></a><!-- doxytag: member="Ogre::PatchSurface::mIndexOffset" ref="b20d64e316e68c29df2e0feacd8ce82c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#b20d64e316e68c29df2e0feacd8ce82c">Ogre::PatchSurface::mIndexOffset</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00218">218</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="540444f2d390279342b950e34651e5c8"></a><!-- doxytag: member="Ogre::PatchSurface::mRequiredVertexCount" ref="540444f2d390279342b950e34651e5c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#540444f2d390279342b950e34651e5c8">Ogre::PatchSurface::mRequiredVertexCount</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00219">219</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8f7f0bb8ee32d786e94a2d58c5d1cc47"></a><!-- doxytag: member="Ogre::PatchSurface::mRequiredIndexCount" ref="8f7f0bb8ee32d786e94a2d58c5d1cc47" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#8f7f0bb8ee32d786e94a2d58c5d1cc47">Ogre::PatchSurface::mRequiredIndexCount</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00220">220</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fa053936dd43a2856e64cd4c39e21d73"></a><!-- doxytag: member="Ogre::PatchSurface::mCurrIndexCount" ref="fa053936dd43a2856e64cd4c39e21d73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PatchSurface.html#fa053936dd43a2856e64cd4c39e21d73">Ogre::PatchSurface::mCurrIndexCount</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00221">221</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2da824a653e19ad4b6196725e462c192"></a><!-- doxytag: member="Ogre::PatchSurface::mAABB" ref="2da824a653e19ad4b6196725e462c192" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> <a class="el" href="classOgre_1_1PatchSurface.html#2da824a653e19ad4b6196725e462c192">Ogre::PatchSurface::mAABB</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00223">223</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f487823bcd4b0fc386b426599c7b19cf"></a><!-- doxytag: member="Ogre::PatchSurface::mBoundingSphere" ref="f487823bcd4b0fc386b426599c7b19cf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1PatchSurface.html#f487823bcd4b0fc386b426599c7b19cf">Ogre::PatchSurface::mBoundingSphere</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePatchSurface_8h-source.html#l00224">224</a> of file <a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePatchSurface_8h-source.html">OgrePatchSurface.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:46 2008
</p>
</body>
</html>
